Download it now!
Bug 30773 (Taqbaylit) - Creating new locale KAB_dz (Taqbaylit Kabyle)
Summary: Creating new locale KAB_dz (Taqbaylit Kabyle)
Status: CLOSED FIXED
Alias: Taqbaylit
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-11 10:25 UTC by Azzedine Ait Khelifa
Modified: 2016-04-11 12:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
locale for kab (25.44 KB, text/xml)
2010-10-18 01:17 UTC, Azzedine Ait Khelifa
Details
Locale data for OO/LO (13.21 KB, text/xml)
2010-10-18 12:12 UTC, Azzedine Ait Khelifa
Details
locale data for LO (13.22 KB, text/plain)
2010-10-20 04:57 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Azzedine Ait Khelifa 2010-10-11 10:25:15 UTC
Hello all,

I want to create a new local of LibreOffice  KAB_dz

Iso 639 code is  KAB
And the microsoft LCID is Tamazight (Latin) 2143

Regards,
Comment 1 Azzedine Ait Khelifa 2010-10-11 11:04:13 UTC
(In reply to comment #0)
> Hello all,
> 
> I want to create a new local of LibreOffice  KAB_dz
> 
> Iso 639 code is  KAB
> And the microsoft LCID is Tamazight (Latin) 2143
> 
> Regards,

The Language name is "Kabyle" ...

and LTR written ...

Regards,

AAK
Comment 2 Thorsten Behrens (CIB) 2010-10-14 02:36:08 UTC
Caolan, could you handle this?
Comment 3 Caolán McNamara 2010-10-14 06:09:20 UTC
Yeah, I can. I've looked at these languages before (http://wiki.services.openoffice.org/wiki/LocaleMapping) and at least the Berber/Amazigh collective language situation is fairly straight forward in Algeria with Kabyle very strongly appearing as the main member of the collective and mainly written in Latin script so I can map the glibc locale ber_DZ to this as well while I'm at it (ideally glibc should retire ber_DZ in favour of a kab_DZ IMO)

Much more confused situation for glibc's ber_MA (Amazigh Language Locale for Morocco (tifinagh)) and Microsoft's "Tamazight (Arabic)" 0x045f/1119, etc. But that's not the issue here :-)
Comment 4 Caolán McNamara 2010-10-14 07:20:38 UTC
So, change pushed to allow kab_DZ as a locale, that'll allow Kabyle to be listed in format->character as a Language, and to allow spellchecking with that language, etc. Under Linux if you launch from a ber_BZ locale, and from a windows LCID 2143 installation. this'll be the default language selected and 


But see http://wiki.services.openoffice.org/wiki/How_to_submit_new_Locale_Data for generating a full locale data for default number formatting, currency data, etc for full-blown support.
Comment 5 Azzedine Ait Khelifa 2010-10-14 13:59:10 UTC
(In reply to comment #4)
> So, change pushed to allow kab_DZ as a locale, that'll allow Kabyle to be
> listed in format->character as a Language, and to allow spellchecking with that
> language, etc. Under Linux if you launch from a ber_BZ locale, and from a
> windows LCID 2143 installation. this'll be the default language selected and 
> 
> 
> But see http://wiki.services.openoffice.org/wiki/How_to_submit_new_Locale_Data
> for generating a full locale data for default number formatting, currency data,
> etc for full-blown support.

In the new CLDR (CLDR 1.8 Release Note) the kabyle language is done.

CLDR 1.8 Release Note http://cldr.unicode.org/index/downloads/cldr-1-8
Comment 6 Caolán McNamara 2010-10-15 01:56:53 UTC
Be that as it might, but the little .xml file that LibreOffice uses to describe things like the currency and number formatting rules for a locale is a separate, if similar, thing than the CLDR repo. You can definitely use the CLDR repo to generate it, but LibreOffice doesn't automatically support a locale once it gets entered into the CLDR/icu databases/sources.

That said, the key bit of being able to select Kabyle as a language in LibreOffice will be possible in 3.3
Comment 7 Azzedine Ait Khelifa 2010-10-15 11:36:04 UTC
(In reply to comment #6)
> Be that as it might, but the little .xml file that LibreOffice uses to describe
> things like the currency and number formatting rules for a locale is a
> separate, if similar, thing than the CLDR repo. You can definitely use the CLDR
> repo to generate it, but LibreOffice doesn't automatically support a locale
> once it gets entered into the CLDR/icu databases/sources.
> 
> That said, the key bit of being able to select Kabyle as a language in
> LibreOffice will be possible in 3.3

What can I do exactly to help you !

About ther ber_DZ et kab_DZ, the confusion is due to the fact ISO standised berbere language  onto "BER", but kabyle (taqbaylet) has been already exist and standardized on "KAB" ...

There is other berber language in algeria, like "tachnewit" in chenouya region, "tamzabit" in the 7 cities of the mzab valley and "tachawit" in chawia region...

And there is the spécific case ou tuareg with "tamachaq" but tuareg people where splited in five states Libya, ALgeria,, Mali, Niger, Burkina Faso ... it's very complex ...

But in algeria,  the kabyle is the main berber language, with a lot of literature produced ...
Comment 8 Caolán McNamara 2010-10-18 01:00:30 UTC
re: "What can I do exactly to help you !"

Well, first, here's the kind of file I'm talking about, e.g. the list at http://cgit.freedesktop.org/libreoffice/libs-gui/tree/i18npool/source/localedata/data

http://cgit.freedesktop.org/libreoffice/libs-gui/tree/i18npool/source/localedata/data/ar_DZ.xml is the Arabic_Algeria.xml file, so you can see the sort of fields required, stuff like the names of the days and months, currency and so on.

So the goal is the generate a kab_DZ.xml file like the existing ar_DZ.xml one and submit it to me. You can make the .xml file manually or you can use the website at http://www.it46.se/localegen/ which helps to generate one for you.


"But in algeria,  the kabyle is the main berber language, with a lot of
literature produced ..."

Yeah, the Algeria story is fairly ok, its fairly clear that Kabyle is the main Berber language. The problem I have is with the existing glibc locale of "ber_MA" which IMO is a useless locale as there isn't (as far as I can tell) just one member of the Berber collective languages which is dominant in Morocco over the others.
Comment 9 Azzedine Ait Khelifa 2010-10-18 01:17:10 UTC
Created attachment 39497 [details]
locale for kab

Hi Caolán,

The locale already exist. I join it ...

We have generate it with locgen a few month ago for the unicode CLDR a few month ago ...

I hope you have all materoial ...

I'm stay available if you need more information ...

Regards,

Azzedine Ait Khelifa
Comment 10 Azzedine Ait Khelifa 2010-10-18 01:37:29 UTC
A direct link to the file from afrigen :

http://svn.it46.se/svn/afrigen/trunk/export/cldr/kab_DZ.xml

Regards, 

Azzedine Ait Khelifa

(In reply to comment #9)
> Created an attachment (id=39497) [details]
> locale for kab
> 
> Hi Caolán,
> 
> The locale already exist. I join it ...
> 
> We have generate it with locgen a few month ago for the unicode CLDR a few
> month ago ...
> 
> I hope you have all materoial ...
> 
> I'm stay available if you need more information ...
> 
> Regards,
> 
> Azzedine Ait Khelifa
Comment 11 Caolán McNamara 2010-10-18 03:38:14 UTC
That's the cldr format, its quite similar to the LibreOffice one, but not quite the same. I'd have to convert it into the LibreOffice format myself. 

Can you run through http://www.it46.se/localegen/ again and cut and paste the relevant bits into that and give me a link to the output .xml file that it generates.
Comment 12 Azzedine Ait Khelifa 2010-10-18 03:43:52 UTC
Ok I'll try to do it  ...

I'll try send you the result before this evening ...

Regards

Azzedine Ait Khelifa



(In reply to comment #11)
> That's the cldr format, its quite similar to the LibreOffice one, but not quite
> the same. I'd have to convert it into the LibreOffice format myself. 
> 
> Can you run through http://www.it46.se/localegen/ again and cut and paste the
> relevant bits into that and give me a link to the output .xml file that it
> generates.
Comment 13 Azzedine Ait Khelifa 2010-10-18 12:12:39 UTC
Created attachment 39512 [details]
Locale data for OO/LO


Hello,

I generate the locale xml file from LocGen ...

Are you ok for this ????

Regards,

AAK
Comment 14 Caolán McNamara 2010-10-19 06:09:32 UTC
I've added in that now. 

According to that data, a thousand is written like this "1,000.00" and not "1.000,00", right ?
Comment 15 Azzedine Ait Khelifa 2010-10-19 11:13:56 UTC
(In reply to comment #14)
> I've added in that now. 
> 
> According to that data, a thousand is written like this "1,000.00" and not
> "1.000,00", right ?

Houps !

 1.000,00 will be better ...
Comment 16 Caolán McNamara 2010-10-19 12:34:24 UTC
I suspected as much, that's the far more common pattern.

Adjusted, thanks.
Comment 17 Azzedine Ait Khelifa 2010-10-19 12:41:15 UTC
Many thanx Caolán,

Good evening.

AAK

(In reply to comment #16)
> I suspected as much, that's the far more common pattern.
> 
> Adjusted, thanks.
Comment 18 Azzedine Ait Khelifa 2010-10-20 01:36:01 UTC
Hello caolan,

Can you send me the new xml file with the new pattern for our archive ?

Thank you for your help,

AAK


(In reply to comment #16)
> I suspected as much, that's the far more common pattern.
> 
> Adjusted, thanks.
Comment 19 Caolán McNamara 2010-10-20 04:57:17 UTC
Created attachment 39573 [details]
locale data for LO

Here's what I ended up with. Where the thousands separator is a "." and the decimal separator is a "," i.e. 1.000,00
Comment 20 belkacem77 2016-03-30 20:38:58 UTC
(In reply to Caolán McNamara from comment #19)
> Created attachment 39573 [details]
> locale data for LO
> 
> Here's what I ended up with. Where the thousands separator is a "." and the
> decimal separator is a "," i.e. 1.000,00

Hi Caolán McNamara,

some of the names of days, months, quarters ,.... are wrongly translated for the Kabyle langage .
Please, See online dictionaries:
http://tutlayt.net/asegzawal-tan.php?fren=4
We use the short words. the words subbmited are Morrocan berber langagen not algerian Kabyle.

We are a team who are also translating Firefox apps, Skype, Odoo, Openoffice, VLC, OTRS,PGadmin, Winscp....

How can we update locale data?

Best Regards.
Comment 21 Caolán McNamara 2016-04-11 12:36:30 UTC
The current version of these is in our source as

i18npool/source/localedata/data/kab_DZ.xml

You can either follow the developer process documented here

https://wiki.documentfoundation.org/Development/gerrit

and submit a change to i18npool/source/localedata/data/kab_DZ.xml

or if that's not an option you could directly download the latest version here...


https://cgit.freedesktop.org/libreoffice/core/plain/i18npool/source/localedata/data/kab_DZ.xml

modify it with the fixes and submit a (new) bug with the modified .xml attached